Subject: bug#20189: 25.0.50; Feature request: Alternative split-window-sensibly functions

From: martin rudalics <[email-masked]>
Date: Thu, 26 Mar 2015 17:04:26 +0100

> Yes, I probably don't.  But I like reusing the current window even
 > lesser which would happen when returning just nil.  I also don't want
 > another split which would happen when I defer to
 > `split-window-sensibly'.  So what else can I do?

Earlier you said that you wanted a behavior like.

 >   +--------------------+--------------------+-----------------+
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |                 |
 >   |                    |                    |   (TWO)         |
 >   |                    |                    |   (THREE)       |
 >   |    *scratch*       |     ONE            |    FOUR         |
 >   +--------------------+--------------------+-----------------+

so even if TWO's window were selected you wanted to show THREE in that
window.

Have you tried the `th/display-buffer' I sent you earlier?  It should
always use the right-/bottommost window after deciding not to split.

If you want a different behavior you'd have to tell me what you want
instead.

martin